/* exported enable disable */
const Keyboard = imports.ui.keyboard;
const { Clutter, Gio, GLib, GObject, Meta, St } = imports.gi;
const Main = imports.ui.main;

let _overriddenRelayout = null;

function enable() {
    _overriddenRelayout = Keyboard.Keyboard.prototype._relayout;

    Keyboard.Keyboard.prototype._relayout = function() {
        _overriddenRelayout.call(this);

        let keysPerRow = this._current_page._maxCols;
        let numberOfRows = this._current_page._rows.length;
        let buttonSize = Main.layoutManager.keyboardMonitor.width / keysPerRow;

        this.actor.width = Main.layoutManager.keyboardMonitor.width;
        this.actor.height = buttonSize * numberOfRows;
    };

    Main.keyboard._relayout();
}

function disable() {
    Keyboard.Keyboard.prototype._relayout = _overriddenRelayout;
    Main.keyboard._relayout();
}
